on: 
  push:
    branches:
      - master
jobs:
  build:
    runs-on: ubuntu
    steps:
      - uses: actions/checkout@v4
      - run: npm i
      - run: npm run build
      - run: ssh-keyscan polsevev >> ~/.ssh/known_hosts
      - run: /bin/rsync -avzh ./dist ansible@polsevev:/var/www/polsevev/

